using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "a sahuagin corpse" )]
	public class Sahuagin : BaseCreature
	{
		[Constructable]
		public Sahuagin() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a sahuagin";
			Body = 146;
			BaseSoundID = 0x5E4;
			CanSwim = true;
			AnimationMod = 4;

			SetStr( 154, 192 );
			SetDex( 138, 168 );
			SetInt( 58, 96 );

			SetHits( 93, 115 );

			SetDamage( 8, 11 );

			SetSkill( SkillName.MagicResist, 56.2, 96.0 );
			SetSkill( SkillName.Tactics, 88.2, 128.0 );
			SetSkill( SkillName.HandToHand, 80.2, 112.0 );

			Fame = 2400;
			Karma = -2400;

			VirtualArmor = 45;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override int Meat{ get{ return 3; } }
		public override MeatType MeatType{ get{ return MeatType.Fish; } }

		public Sahuagin( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}